DALTON-2015.1 Compilation Error

Problems with Dalton installation? Find answers or ask for help here
Post Reply
Rintintin
Posts: 10
Joined: 15 Dec 2013, 00:26
First name(s): Ariel
Last name(s): Gonzalez
Affiliation: none
Country: United States

DALTON-2015.1 Compilation Error

Post by Rintintin » 21 Jul 2015, 02:06

Hi all...

I tried to compile latest version of Dalton-2015.1 and I get the following error:

[ 92%] Building Fortran object CMakeFiles/linearslib.dir/LSDALTON/linears/LSDALTON_RESPONSE.F90.o
/home/ariel/programs/DALTON-Source/LSDALTON/linears/LSDALTON_RESPONSE.F90:16.4:

use response_wrapper_module,only: get_dipole_moment, &
1
Fatal Error: Can't open module file 'response_wrapper_module.mod' for reading at (1): No such file or directory
CMakeFiles/linearslib.dir/build.make:199: recipe for target 'CMakeFiles/linearslib.dir/LSDALTON/linears/LSDALTON_RESPONSE.F90.o' failed
make[2]: *** [CMakeFiles/linearslib.dir/LSDALTON/linears/LSDALTON_RESPONSE.F90.o] Error 1
CMakeFiles/Makefile2:1407: recipe for target 'CMakeFiles/linearslib.dir/all' failed
make[1]: *** [CMakeFiles/linearslib.dir/all] Error 2
Makefile:138: recipe for target 'all' failed
make: *** [all] Error 2
ariel@ariel-pc:~/programs/DALTON-Source/build$

---
I see that file "response_wrapper_module.mod" does not exist.
My OS: Ubuntu-14.04
My CPU: AMD

Help... :|

bast
Posts: 1209
Joined: 26 Aug 2013, 13:22
First name(s): Radovan
Last name(s): Bast
Affiliation: none
Country: Germany

Re: DALTON-2015.1 Compilation Error

Post by bast » 21 Jul 2015, 08:30

please indicate your compiler, compiler version, and cmake version.
thank you,
radovan

Rintintin
Posts: 10
Joined: 15 Dec 2013, 00:26
First name(s): Ariel
Last name(s): Gonzalez
Affiliation: none
Country: United States

Re: DALTON-2015.1 Compilation Error

Post by Rintintin » 21 Jul 2015, 15:01

gfortran-4.8.4
cmake-3.3.0-rc1

bast
Posts: 1209
Joined: 26 Aug 2013, 13:22
First name(s): Radovan
Last name(s): Bast
Affiliation: none
Country: Germany

Re: DALTON-2015.1 Compilation Error

Post by bast » 21 Jul 2015, 15:22

ok then the problem is a buggy cmake version.
if you get the latest release candidate or the last stable
version it should work. see also:
http://daltonprogram.org/forum/viewtopic.php?f=8&t=604
http://daltonprogram.org/forum/viewtopic.php?f=8&t=611

Rintintin
Posts: 10
Joined: 15 Dec 2013, 00:26
First name(s): Ariel
Last name(s): Gonzalez
Affiliation: none
Country: United States

Re: DALTON-2015.1 Compilation Error

Post by Rintintin » 21 Jul 2015, 17:07

Yes, the problem was cmake-3.3.0-rc1.
Thank you...

saisudhakar
Posts: 12
Joined: 13 Nov 2015, 05:49
First name(s): Saisudhakar
Last name(s): Mukka
Affiliation: Birla Institute of Technology and Science
Country: India

Re: DALTON-2015.1 Compilation Error

Post by saisudhakar » 17 Nov 2015, 07:37

Hi, I also got the same error while installing the DALTON 2015.0 version. I heard that the version of gcc44/openmpi/centos does not matter, DALTON should run with the any such versions.

Regards
Saisudhakar

taylor
Posts: 545
Joined: 15 Oct 2013, 05:37
First name(s): Peter
Middle name(s): Robert
Last name(s): Taylor
Affiliation: Tianjin University
Country: China

Re: DALTON-2015.1 Compilation Error

Post by taylor » 17 Nov 2015, 09:38

I do not know where you "heard that the version ... does not matter". The fix earlier on this thread as far as I can see was that the version of cmake being used was buggy, for example. What is your version of cmake? What version of OpenMPI? Etc...?

Best regards
Pete

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest